# eric7.WebBrowser.Download.DownloadAskActionDialog

Module implementing a dialog to ask for a download action.

### Global Attributes

None

### Classes

DownloadAskActionDialog | Class implementing a dialog to ask for a download action.

### Functions

None

## DownloadAskActionDialog

Class implementing a dialog to ask for a download action.

### Derived from

QDialog, Ui_DownloadAskActionDialog

### Class Attributes

None

### Class Methods

None

### Methods

DownloadAskActionDialog | Constructor
getAction | Public method to get the selected action.

### Static Methods

None

#### DownloadAskActionDialog (Constructor)

DownloadAskActionDialog(fileName, mimeType, baseUrl, parent=None)

Constructor

fileName
  file name (string)
mimeType
  mime type (string)
baseUrl
  URL (string)
parent
  reference to the parent widget (QWidget)

#### DownloadAskActionDialog.getAction

getAction()

Public method to get the selected action.

Return:
  selected action ("save", "open", "scan" or "cancel")

Up